public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/classads/
@ 2020-08-29 16:32 David Seifert
  0 siblings, 0 replies; 2+ messages in thread
From: David Seifert @ 2020-08-29 16:32 UTC (permalink / raw
  To: gentoo-commits

commit:     7bb0c6747b5e76689162f34f913619371eba0942
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 29 16:31:34 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Aug 29 16:31:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7bb0c674

sys-cluster/classads: Port to EAPI 7

Closes: https://bugs.gentoo.org/725790
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-cluster/classads/classads-1.0.10.ebuild | 28 ++++++++++++++++++++--------
 1 file changed, 20 insertions(+), 8 deletions(-)

diff --git a/sys-cluster/classads/classads-1.0.10.ebuild b/sys-cluster/classads/classads-1.0.10.ebuild
index 72ea735ea47..4b692bd26e3 100644
--- a/sys-cluster/classads/classads-1.0.10.ebuild
+++ b/sys-cluster/classads/classads-1.0.10.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
-inherit autotools-utils
+EAPI=7
+
+inherit autotools
 
 DESCRIPTION="Condor's classified advertisement language"
 HOMEPAGE="http://www.cs.wisc.edu/condor/classad/"
@@ -11,15 +12,26 @@ SRC_URI="ftp://ftp.cs.wisc.edu/condor/classad/c++/${P}.tar.gz"
 LICENSE="Apache-2.0"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="pcre static-libs"
+IUSE="pcre"
 
 RDEPEND="pcre? ( dev-libs/libpcre )"
 DEPEND="${RDEPEND}"
 
+src_prepare() {
+	default
+	eautoreconf
+}
+
 src_configure() {
-	myeconfargs+=(
-		--enable-namespace
+	econf \
+		--disable-static \
+		--enable-namespace \
 		--enable-flexible-member
-	)
-	autotools-utils_src_configure
+}
+
+src_install() {
+	default
+
+	# no static archives
+	find "${ED}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-cluster/classads/
@ 2022-12-18  4:57 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2022-12-18  4:57 UTC (permalink / raw
  To: gentoo-commits

commit:     a806a38d087489aaa03fe6028b69c14c4f4ae898
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 18 04:53:43 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 18 04:53:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a806a38d

sys-cluster/classads: update HOMEPAGE

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-cluster/classads/classads-1.0.10.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sys-cluster/classads/classads-1.0.10.ebuild b/sys-cluster/classads/classads-1.0.10.ebuild
index 4b692bd26e3e..fc4c7424582b 100644
--- a/sys-cluster/classads/classads-1.0.10.ebuild
+++ b/sys-cluster/classads/classads-1.0.10.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -6,7 +6,7 @@ EAPI=7
 inherit autotools
 
 DESCRIPTION="Condor's classified advertisement language"
-HOMEPAGE="http://www.cs.wisc.edu/condor/classad/"
+HOMEPAGE="https://research.cs.wisc.edu/htcondor/classad/"
 SRC_URI="ftp://ftp.cs.wisc.edu/condor/classad/c++/${P}.tar.gz"
 
 LICENSE="Apache-2.0"


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2022-12-18  4:57 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-12-18  4:57 [gentoo-commits] repo/gentoo:master commit in: sys-cluster/classads/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2020-08-29 16:32 David Seifert

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox